curl -X PUT https://sandbox.layerfi.com/v1/businesses/863ed926-e30d-40f4-8e7e-b0d5387ce4fb/ledger/accounts/dc8e8032-494a-441d-a566-613baedc7f00 \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"name": "Test Expense Account",
"normality": "DEBIT",
"description": "Test account description",
"account_type": "EXPENSE",
"account_subtype": "COGS",
"parent_id": {
"type": "StableName",
"stable_name": "COST_OF_GOODS_SOLD"
},
"stable_name": {
"type": "StableName",
"stable_name": "NEW_STABLE_NAME"
}
}'
{
"data": {
"type": "Single_Chart_Account",
"id": "dc8e8032-494a-441d-a566-613baedc7f00",
"name": "Test Expense Account",
"stable_name": "NEW_STABLE_NAME",
"normality": "DEBIT",
"account_type": {
"value": "EXPENSE",
"display_name": "Expenses"
},
"account_subtype": {
"value": "COGS",
"display_name": "COGS"
}
}
}
Update Ledger Account
This endpoint updates an account in a business’s general ledger.
PUT
/
v1
/
businesses
/
{business_id}
/
ledger
/
accounts
/
{account_id}
curl -X PUT https://sandbox.layerfi.com/v1/businesses/863ed926-e30d-40f4-8e7e-b0d5387ce4fb/ledger/accounts/dc8e8032-494a-441d-a566-613baedc7f00 \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"name": "Test Expense Account",
"normality": "DEBIT",
"description": "Test account description",
"account_type": "EXPENSE",
"account_subtype": "COGS",
"parent_id": {
"type": "StableName",
"stable_name": "COST_OF_GOODS_SOLD"
},
"stable_name": {
"type": "StableName",
"stable_name": "NEW_STABLE_NAME"
}
}'
{
"data": {
"type": "Single_Chart_Account",
"id": "dc8e8032-494a-441d-a566-613baedc7f00",
"name": "Test Expense Account",
"stable_name": "NEW_STABLE_NAME",
"normality": "DEBIT",
"account_type": {
"value": "EXPENSE",
"display_name": "Expenses"
},
"account_subtype": {
"value": "COGS",
"display_name": "COGS"
}
}
}
Path Parameters
string
required
ID of the Ledger Account.
Body
string
required
Account name
enum
required
Account balance normality.
Values can be:
DEBIT, CREDITstring
The Account Identifier of the parent account under which this ledger account is categorized.
string
The Stable Name for the account.
enum
required
Type of the ledger account.
Values can be:
ASSET, LIABILITY, EQUITY, REVENUE, or EXPENSEenum
required
Subtype of the ledger account.
Values can be:
BANK_ACCOUNTS, ACCOUNTS_RECEIVABLE, INVENTORY, PAYMENT_PROCESSOR_CLEARING_ACCOUNT, FIXED_ASSET, ACCUMULATED_DEPRECIATION, CASH, UNDEPOSITED_FUNDS, CURRENT_ASSET, NON_CURRENT_ASSET, PREPAID_EXPENSES, DEVELOPMENT_COSTS, LOANS_RECEIVABLE, INTANGIBLE_ASSET, ACCOUNTS_PAYABLE, CREDIT_CARD, INCOME_TAXES_PAYABLE, SALES_TAXES_PAYABLE, OTHER_TAXES_PAYABLE, PAYROLL_TAXES_PAYABLE, UNEARNED_REVENUE, PAYROLL_LIABILITY, PAYROLL_CLEARING, LINE_OF_CREDIT, TIPS, REFUND_LIABILITIES, UNDEPOSITED_OUTFLOWS, OUTGOING_PAYMENT_CLEARING_ACCOUNT, OTHER_CURRENT_LIABILITY, LOANS_PAYABLE, NOTES_PAYABLE, SHAREHOLDER_LOAN, NON_CURRENT_LIABILITY, CONTRIBUTIONS, DISTRIBUTIONS, COMMON_STOCK, PREFERRED_STOCK, ADDITIONAL_PAID_IN_CAPITAL, RETAINED_EARNINGS, ACCUMULATED_ADJUSTMENTS, OPENING_BALANCE_EQUITY, OTHER_EQUITY, SALES, UNCATEGORIZED_REVENUE, RETURNS_ALLOWANCES, DIVIDEND_INCOME, INTEREST_INCOME, OTHER_INCOME, COGS, OPERATING_EXPENSES, PAYROLL, TAXES_LICENSES, UNCATEGORIZED_EXPENSE, CHARITABLE_CONTRIBUTIONS, LOAN_EXPENSES, FINANCE_COSTS, INTEREST_EXPENSES, DEPRECIATION, AMORTIZATION, BAD_DEBT, or OTHER_EXPENSESResponse
Returns the updated Ledger Accountcurl -X PUT https://sandbox.layerfi.com/v1/businesses/863ed926-e30d-40f4-8e7e-b0d5387ce4fb/ledger/accounts/dc8e8032-494a-441d-a566-613baedc7f00 \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"name": "Test Expense Account",
"normality": "DEBIT",
"description": "Test account description",
"account_type": "EXPENSE",
"account_subtype": "COGS",
"parent_id": {
"type": "StableName",
"stable_name": "COST_OF_GOODS_SOLD"
},
"stable_name": {
"type": "StableName",
"stable_name": "NEW_STABLE_NAME"
}
}'
{
"data": {
"type": "Single_Chart_Account",
"id": "dc8e8032-494a-441d-a566-613baedc7f00",
"name": "Test Expense Account",
"stable_name": "NEW_STABLE_NAME",
"normality": "DEBIT",
"account_type": {
"value": "EXPENSE",
"display_name": "Expenses"
},
"account_subtype": {
"value": "COGS",
"display_name": "COGS"
}
}
}